Skip to main content
POST
/
v2
/
subscriptions
/
{xid}
/
plan-attachments
/
{id}
/
suspend
Suspend a plan attachment
curl --request POST \
  --url https://api.bondio.co/v2/subscriptions/{xid}/plan-attachments/{id}/suspend \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "createdAt": 123,
  "activationAt": 123,
  "expirationAt": 123,
  "usedAllowance": {
    "dataBytes": 1,
    "voiceSeconds": 123,
    "smsMessages": 123
  },
  "plan": {
    "name": "<string>",
    "dataMegaBytes": 123,
    "periodDays": 123,
    "periodIterations": 1,
    "throttledSpeedKbps": 0,
    "label": "<string>",
    "coverageProfileId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

xid
string
required

esim ICCID or subscription id

id
string
required

id of the plan attachment

Response

200 - application/json

OK

id
string
required
createdAt
number
required
activationAt
number
required
expirationAt
number
required
state
enum<string>
required
Available options:
CREATED,
PENDING_FOR_FIRST_USE,
SCHEDULED,
ACTIVE,
EXPIRED,
SUSPENDED
usedAllowance
Allowance · object
required
Example:
{
"dataBytes": 1024,
"voiceSeconds": 60,
"smsMessages": 100
}
plan
PlanForAttachment · object
required
Example:
{
"name": "Australia 1GB 7d",
"dataMegaBytes": 1024,
"periodDays": 1,
"periodIterations": 7,
"throttledSpeedKbps": 128,
"label": "alpha",
"coverageProfileId": "cvpr_ybrs38es"
}